MKNOD(1)

BEZEICHNUNG
mknod - erstellt block- oder zeichenorientierte Gerätedateien

ÜBERSICHT
mknod [OPTION]… NAME TYP [MAJOR MINOR]

BESCHREIBUNG

Erzeugt die Gerätedatei NAME mit dem angegebenen TYP.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-m, --mode=MODUS
    Dateizugriffsrechte auf MODUS setzen, nicht a=rw - umask

-Z  Den SELinux-Sicherheitskontext der Zieldatei auf den vorgegebenen Typ setzen

--context[=KTX]
    Wie -Z, oder falls KTX angegeben ist, wird der SELinux- oder SMACK-Sicherheitskontext auf KTX gesetzt.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Sowohl MAJOR als auch MINOR müssen angegeben werden, wenn der TYP b, c oder u ist. Für den TYP p müssen sie weggelassen werden. Beginnen MAJOR oder MINOR mit 0x oder 0X, werden die Zahlen hexadezimal interpretiert; wenn sie mit 0 beginnen, oktal; anderenfalls dezimal. TYP kann sein:

b   Eine blockorientierte (gepufferte) Gerätedatei anlegen

c, u
    Eine zeichenorienterte (ungepufferte) Gerätedatei anlegen

p   Eine FIFO anlegen

Ihre Shell verfügt möglicherweise über eine eigene Version von mknod, welche normalerweise die hier beschriebene Version ersetzt. Bitte greifen Sie auf die Dokumentation Ihrer Shell zurück, um die dort unterstützten Optionen in Erfahrung zu bringen.

AUTOR
Geschrieben von David MacKenzie.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

SIEHE AUCH
mknod(2)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/mknod>
oder lokal verfügbar mit: info '(coreutils) mknod invocation'

Paketiert durch Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben.
Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.